title: Clear All Caches keywords: - clear all caches - post - clear - all - caches # Clear All Caches Clear all application caches (Redis + in-memory). ## Returns **`success`** boolean Whether cache clearing was successful **`message`** string Status message **`caches_cleared`** object Details of caches cleared Example ```bash cURL curl -X POST "https://api.aitronos.com/v1/admin/cache/clear-all" \ -H "X-API-Key: $FREDDY_API_KEY" ``` ```python Python import os import requests api_key = os.environ["FREDDY_API_KEY"] response = requests.post( "https://api.aitronos.com/v1/admin/cache/clear-all", headers={"X-API-Key": api_key} ) print(response.json()) ``` ```javascript JavaScript const apiKey = process.env.FREDDY_API_KEY; const response = await fetch('https://api.aitronos.com/v1/admin/cache/clear-all', { method: 'POST', headers: { 'X-API-Key': apiKey } }); const data = await response.json(); console.log(data); ``` **Response:** ```json 200 OK { "success": true, "message": "Operation completed successfully", "caches_cleared": {} } ``` Errors ```json 401 Unauthorized { "success": false, "error": { "code": "AUTHENTICATION_REQUIRED", "message": "Authentication required. Please provide a valid API key.", "system_message": "Missing or invalid authorization header", "type": "authentication_error", "status": 401, "details": {}, "trace_id": "req_abc123xyz", "timestamp": "2025-11-11T10:30:00Z" } } ``` ```json 403 Forbidden { "success": false, "error": { "code": "INSUFFICIENT_PERMISSIONS", "message": "You do not have permission to access this resource.", "system_message": "Insufficient permissions for this operation", "type": "authorization_error", "status": 403, "details": {}, "trace_id": "req_def456uvw", "timestamp": "2025-11-11T10:30:00Z" } } ``` ## Related Resources - [Invalidate Limit Caches](/docs/api-reference/admin/invalidate-limit-caches) - [Get Sync Status](/docs/api-reference/admin/get-sync-status)